### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-text-input/ecl-text-input.directive.ts`

### Metadata

Selector | `input[eclTextInput]`

### Index

###### Properties

- type

###### Inputs

- eclSize
- isInvalid

###### HostBindings

- attr.type
- class
- class.ecl-text-input--invalid

###### Accessors

- cssClasses
- invalidState

### Constructor

`constructor(ngControl: NgControl)`

Parameters :

Name | Type | Optional
ngControl | `NgControl` | No

### Inputs

eclSize
Type : `string`
Default value : `'m'`

isInvalid
Type : `boolean`
Default value : `false`

### HostBindings

attr.type
Type : `string`
Default value : `'text'`

class
Type : `any`

class.ecl-text-input--invalid
Type : `any`

### Properties

type
Type : `string`
Default value : `'text'`
Decorators : `@HostBinding('attr.type')`

### Accessors

cssClasses
get `cssClasses()`

invalidState
get `invalidState()`

# results matching ""

# No results matching ""